Last Comment Bug 740854 - Remove SYSTEM_MAKEDEPEND and MOZ_NATIVE_MAKEDEPEND and associated crap
: Remove SYSTEM_MAKEDEPEND and MOZ_NATIVE_MAKEDEPEND and associated crap
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla18
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
Mentors:
Depends on: 782759 785336
Blocks: 717947 806616
  Show dependency treegraph
 
Reported: 2012-03-30 09:37 PDT by Ted Mielczarek [:ted.mielczarek]
Modified: 2012-10-29 17:53 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
remove all the things (255.95 KB, patch)
2012-08-14 12:45 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Review
fixed patch (255.80 KB, patch)
2012-08-14 12:51 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Review
remove MOZ_AUTO_DEPS as well (258.60 KB, patch)
2012-08-14 13:19 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Review
updated for bitrot (258.61 KB, patch)
2012-08-21 14:39 PDT, Siddharth Agarwal [:sid0] (inactive)
ted: review+
Details | Diff | Review

Description Ted Mielczarek [:ted.mielczarek] 2012-03-30 09:37:21 PDT
All of our officially-supported platforms don't use mkdepend at all (GCC, VC++, probably clang). Even if we were going to use mkdepend, we have an in-tree copy, so it doesn't seem worth carrying around the baggage to handle system mkdepend for those few cases where someone might want to use it. catlee hit a build error related to this because he didn't have a system mkdepend installed, apparently.
Comment 1 Chris AtLee [:catlee] 2012-03-30 09:51:24 PDT
the specific error was in 'make maybe_cleanup_profiledbuild' and make would forkbomb itself trying to cleanup objdir/config/mkdepend early in the 2nd pass of a PGO build

installing a system 'makedepend' has fixed this for me.
Comment 2 Mike Hommey [:glandium] 2012-04-01 03:23:27 PDT
While at it, we can probably get rid of makedep.
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2012-08-14 12:45:43 PDT
Created attachment 651854 [details] [diff] [review]
remove all the things

I've removed all references to
- COMPILER_DEPEND
- MOZ_NATIVE_MAKEDEPEND
- SYSTEM_MAKEDEPEND
- MKDEPEND

except those that are part of NSS.

I've pushed this to try: https://tbpl.mozilla.org/?tree=Try&rev=9112e63ad6b3
Comment 4 Siddharth Agarwal [:sid0] (inactive) 2012-08-14 12:51:04 PDT
Created attachment 651856 [details] [diff] [review]
fixed patch

Fixed a mistake in js/src/configure.in.

Pushed to try: https://tbpl.mozilla.org/?tree=Try&rev=2f2f763a437d
Comment 5 Siddharth Agarwal [:sid0] (inactive) 2012-08-14 13:19:45 PDT
Created attachment 651865 [details] [diff] [review]
remove MOZ_AUTO_DEPS as well

Ted was of the opinion that MOZ_AUTO_DEPS should go as well.

This needs bug 782759.
Comment 6 Siddharth Agarwal [:sid0] (inactive) 2012-08-15 09:03:24 PDT
My try push (builds only, on all platforms) was all green.
Comment 7 Siddharth Agarwal [:sid0] (inactive) 2012-08-21 14:39:52 PDT
Created attachment 653960 [details] [diff] [review]
updated for bitrot
Comment 8 Ted Mielczarek [:ted.mielczarek] 2012-08-22 06:29:31 PDT
Comment on attachment 653960 [details] [diff] [review]
updated for bitrot

Review of attachment 653960 [details] [diff] [review]:
-----------------------------------------------------------------

::: configure.in
@@ +7686,1 @@
>  AC_SUBST(MDDEPDIR)

We could probably just move MDDEPDIR to config.mk.

::: js/src/config/Makefile.in
@@ +62,5 @@
>  endif
>  
>  GARBAGE += $(srcdir)/*.pyc *.pyc
>  
>  FORCE:

What is this nonsense doing here? Don't we have FORCE listed as PHONY somewhere?
Comment 9 Siddharth Agarwal [:sid0] (inactive) 2012-08-27 12:29:55 PDT
(In reply to Ted Mielczarek [:ted] from comment #8)
> 
> ::: js/src/config/Makefile.in
> @@ +62,5 @@
> >  endif
> >  
> >  GARBAGE += $(srcdir)/*.pyc *.pyc
> >  
> >  FORCE:
> 
> What is this nonsense doing here? Don't we have FORCE listed as PHONY
> somewhere?

Indeed. Filed bug 786002.
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-08-27 19:16:53 PDT
https://hg.mozilla.org/mozilla-central/rev/8ac55d26cf22

Note You need to log in before you can comment on or make changes to this bug.